Subject: Re: [RFC/GSoC] Proposal: Make git-pull and git-am builtins

From: Junio C Hamano <[email-masked]>
Date: Wed, 25 Mar 2015 10:54:50 -0700

Paul Tan <[email-masked]> writes:

> I think it's still good to have the ideal in mind though (and whoops I
> forgot to put in the word "ideal" in the text).

Using or not using fork is merely one of the trade-offs we can make.

"If all other things are equal, no fork is better than a fork" is a
meaningless statement, as all other things are never equal in real
life---doing things internally will have a cost of having to clean
up and a risk to get that part wrong, for example.  Engineering is a
fine balancing act and setting an absolute goal is not a healthy
attitude.